#include "coins.h"
#include "api/util.h"

#define COINS 1000

void coins::execute(sql::Connection &con, dpp::cluster &bot, const dpp::slashcommand_t &event) {
    sql::ResultSet *res = util::getResultSet(con, "SELECT coins FROM guilds WHERE guildId = ?", {event.command.guild_id.str()});
    int coins;

    if (!res->next()) {
        util::executeQuery(con, "INSERT INTO guilds (guildId, coins) VALUES (?, ?)", {event.command.guild_id.str(), std::to_string(COINS)});
        coins = COINS;
    } else {
        coins = res->getInt("coins");
    }

    util::sendSuccess(event, "You have " + std::to_string(coins) + " coins.");
    delete res;
}